# Class Proxy

java.lang.Object
org.apache.catalina.ha.backend.Proxy

public class Proxy extends Object
This class represents a front-end httpd server.

## Field Summary

Fields
Modifier and Type
Field
Description
`InetAddress`
`address`
`int`
`port`

## Constructor Summary

Constructors
Constructor
Description
`Proxy()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### address

public InetAddress address

### port

public int port

## Constructor Details

### Proxy

public Proxy()